/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.genclass;

/**
 *
 * @author S.Chassande-Barrioz
 */
public interface SupportedGenClass {

	String GC_IMPL_PREFIX = "org.objectweb.speedo.genclass." ;

	String[][] GC_IMPL = {
		{"java.util.Collection",GC_IMPL_PREFIX + "collection.CollectionImpl", "java.util.ArrayList" },

		{"java.util.Set",       GC_IMPL_PREFIX + "collection.SetImpl", "java.util.HashSet" },
		{"java.util.HashSet",   GC_IMPL_PREFIX + "collection.HashSetImpl", "java.util.HashSet" },

		{"java.util.List",      GC_IMPL_PREFIX + "collection.ListImpl", "java.util.ArrayList" },
		{"java.util.ArrayList", GC_IMPL_PREFIX + "collection.ArrayListImpl", "java.util.ArrayList" },
		{"java.util.Vector",    GC_IMPL_PREFIX + "collection.VectorImpl", "java.util.Vector" },
		{"java.util.LinkedList",GC_IMPL_PREFIX + "collection.LinkedListImpl", "java.util.LinkedList" },

		{"java.util.Map",       GC_IMPL_PREFIX + "map.MapImpl", "java.util.HashMap" },
		{"java.util.Properties",GC_IMPL_PREFIX + "map.PropertiesImpl", "java.util.Properties" },
		{"java.util.HashMap",   GC_IMPL_PREFIX + "map.HashMapImpl", "java.util.HashMap" },
		{"java.util.Hashtable", GC_IMPL_PREFIX + "map.HashtableImpl", "java.util.Hashtable" },
		{"java.util.TreeMap", 	GC_IMPL_PREFIX + "map.TreeMapImpl", "java.util.TreeMap" }
	};
}
