/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S.Chassande-Barrioz.
 *
 */
package org.objectweb.speedo.jmx.mbeans;

import java.util.Collection;

/**
 * Defines the MBean view aggregating attributes about the connection 
 * to the data support
 *
 * @author S.Chassande-Barrioz
 */
public interface PMFMBean {

    int getPool_Of_PM_MaxSize();
    void setPool_Of_PM_MaxSize(int arg0) throws Exception;

    int getPool_Of_PM_MinSize();
    void setPool_Of_PM_MinSize(int arg0) throws Exception;

    long getPool_Of_PM_Timeout();
    void setPool_Of_PM_Timeout(long arg0);

    long getPool_Of_PM_TTL();
    void setPool_Of_PM_TTL(long arg0);
    
    int getPool_Of_PM_Current_Size();
    int getPool_Of_PM_Current_Free_Number();
    int getPool_Of_PM_Current_Used_Number();
    
	boolean getTransaction_RetainValues();
	void setTransaction_RetainValues(boolean rv);
	
	boolean getTransaction_RestoreValues();
	void setTransaction_RestoreValues(boolean rv);
	
	boolean getTransaction_MultiThread();
	void setTransaction_MultiThread(boolean mt);
	
	boolean getIsOpen();
	
	String getMappingStructure();
	
	boolean getDebug();
	void setDebug(boolean d);
	
	Collection getPersistentClasseNames();
	
}
