/**
 * Copyright (C) 2001-2005 France Telecom R&D
 */
package org.objectweb.speedo.lib;

import org.objectweb.fractal.api.Component;
import org.objectweb.fractal.api.control.NameController;
import org.objectweb.fractal.util.Fractal;
import org.objectweb.util.monolog.api.BasicLevel;
import org.objectweb.util.monolog.api.Logger;

import java.util.StringTokenizer;

/**
 * 
 * 
 * @author chassase
 */
public class FractalHelper {

    public static Component getSubComponent(Component parent, String path, Logger logger)
            throws Exception {
        if (logger != null) {
            logger.log(BasicLevel.DEBUG, "path: " + path);
        }
        StringTokenizer st = new StringTokenizer(path, ".", false);
        Component res = parent;
        while (st.hasMoreTokens()) {
            String commponenentname = st.nextToken();
            Component[] children = Fractal.getContentController(res)
                    .getFcSubComponents();
            int i = 0;
            if (logger != null) {
                logger.log(BasicLevel.DEBUG, "search: " + commponenentname);
            }
            while (i < children.length
                    && !Fractal.getNameController(children[i]).getFcName()
                            .equals(commponenentname)) {
                if (logger != null) {
                    logger.log(BasicLevel.DEBUG, "current: "
                            + ((NameController) children[i]
                                    .getFcInterface("name-controller"))
                                    .getFcName());
                }
                i++;
            }
            if (i < children.length) {
                if (logger != null) {
                    logger.log(BasicLevel.DEBUG, "found: "
                            + ((NameController) children[i]
                                    .getFcInterface("name-controller"))
                                    .getFcName());
                }
                res = children[i];
            } else {
                if (logger != null) {
                    logger.log(BasicLevel.DEBUG, "not found");
                }
                return null;
            }
        }
        return res;
    }

}