/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S.Chassande-Barrioz.
 *
 */

package org.objectweb.speedo.metadata;

/**
 * Description of the tag collection in XML files.
 * @author	S.Chassande-Barrioz
 */
public class SpeedoCollection extends SpeedoTuple {
    /**
     * Represents the attribute element-type.
     */
    public Object elementType;

    /**
     * Represents the attribute embedded-element.
     */
    public boolean embeddedElement = false;

    /**
     * Transforms a SpeedoCollection into a String.
     * @return String corresponding to the SpeedoCollection.
     */
    public String toString() {
        return "\n collection elementType : " + elementType
                + ", embeddedElement : " + embeddedElement
                + jdoExtension.toString();
    }
} // end SpeedoCollection
