/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S.Chassande-Barrioz.
 *
 */

package org.objectweb.speedo.metadata;

/**
 * The class corresponds to description of tag extension in XML files.
 * @author	S.Chassande-Barrioz
 */
public class SpeedoExtension {
    /**
     * Vendor name.
     */
    public String vendorName;

    /**
     * Key.
     */
    public String key;

    /**
     * Value.
     */
    public String value;

    /**
     * Description of the element containing this extension.
     */
    public SpeedoElement jdoElement;

    public SpeedoExtension() {
    }

    public SpeedoExtension(String vendorName, String key, String value, SpeedoElement jdoElement) {
        this.vendorName = vendorName;
        this.key = key;
        this.value = value;
        this.jdoElement = jdoElement;
    }

    /**
     * Transforms a SpeedoExtension into a String.
     *
     * @return String corresponding to the SpeedoExtension.
     */
    public String toString() {
        return "extension(vendor: " + vendorName + ", key: " + key
                + " value: " + value + ")";
    }
} // end SpeedoExtension
