/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S.Chassande-Barrioz.
 *
 */

package org.objectweb.speedo.metadata;

/**
 * This class represents possible values for the attribute null-value of a field.
 * @author	S.Chassande-Barrioz
 */
public abstract class SpeedoNullValue {
	public final static byte NONE = 0;
	public final static byte DEFAULT = 1;
	public final static byte EXCEPTION = 2;

	/**
	 * Transoforms a String into a byte;
	 * @param s the string to transform.
	 * @return the byte corresponding to the String.
	 */
	public static byte toByte(String s) {
		if (s.equalsIgnoreCase("exception"))
			return EXCEPTION;
		else if (s.equalsIgnoreCase("default"))
			return DEFAULT;
		else
			return NONE;
	}
}
