/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S.Chassande-Barrioz.
 *
 */

package org.objectweb.speedo.query.api;

import org.objectweb.speedo.query.api.QueryDefinition;

/**
 * Is a manager of compiled query. It is responsible of CompiledQuery allocation
 * and could implement a caching policy. The identifier of a query is a
 * QueryDefinition.
 *
 * @author S.Chassande-Barrioz
 */
public interface QueryManager {

    /**
	 * Retrieves a CompiledQuery for a given QueryDefinition. The compiled query
	 * can be a new instance or not (caching).
	 *
	 * @param qd defines the expected query.
	 * @return a CompiledQuery instance (never null).
	 */
	CompiledQuery getQueryCompiler(QueryDefinition qd);
}
