/**
 * Copyright (C) 2001-2005 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Authors: S.Chassande-Barrioz.
 * Created on 13 mai 2005
 *
 */
package org.objectweb.speedo.usercache.lib;

import org.objectweb.speedo.usercache.api.UserCache;

/**
 * 
 *
 * @author S.Chassande-Barrioz
 */
public class CompositeUserCache implements UserCache {

    UserCache[] inner;
    
    /**
     * 
     */
    public CompositeUserCache(UserCache[] inner) {
        super();
        this.inner = inner; 
        // TODO Auto-generated constructor stub
    }

    public Object bind(Object key, Object oid) {
        throw new UnsupportedOperationException("No bind possible on composite user cache");
    }
    public int getId() {
        throw new UnsupportedOperationException("No bind possible on composite user cache");
    }
    public String[] getIndexFieldNames() {
        return inner[0].getIndexFieldNames();
    }
    public String getName() {
        throw new UnsupportedOperationException("No bind possible on composite user cache");
    }
    public boolean isActive() {
        for (int i = 0; i < inner.length; i++) {
            if (inner[i].isActive()) {
                return true;
            }
        }
        return false;
    }
    public Object lookup(Object key) {
        for (int i = 0; i < inner.length; i++) {
            Object res = inner[i].lookup(key);
            if (res != null) {
                return res;
            }
        }
        return null;
    }
    public Object unbindFromKey(Object key) {
        for (int i = 0; i < inner.length; i++) {
            Object res = inner[i].unbindFromKey(key);
            if (res != null) {
                return res;
            }
        }
        return null;
    }
    public Object unbindFromOID(Object oid) {
        for (int i = 0; i < inner.length; i++) {
            Object res = inner[i].unbindFromOID(oid);
            if (res != null) {
                return res;
            }
        }
        return null;
    }
}
