/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.pobjects.detach;

/**
 * @author Y.Bersihand
 */
public class Car extends Vehicle {
	
	private int nbOfWheels;
	private String color;
	
	public Car(String name, int nbOfWheels, String color) {
		super(name);
		setType(Vehicle.CAR);
		this.nbOfWheels = nbOfWheels;
		this.color = color;
	}

	public Car() {
		super();
		setType(Vehicle.CAR);
		nbOfWheels = 0;
		color = "";
	}

	public String getColor() {
		return color;
	}

	public int getNbOfWheels() {
		return nbOfWheels;
	}

	public void setColor(String string) {
		color = string;
	}

	public void setNbOfWheels(int i) {
		nbOfWheels = i;
	}
	
	public String toString(){
		return "Car[ " + super.toString() + ", " + nbOfWheels + ", " + color + "]";
	}
}
