/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */
package org.objectweb.speedo.pobjects.detach;

/**
 * @author Y.Bersihand
 */
public class Coach {
	
	protected String name;
	protected int experience;
	protected Team team;
	
	public Coach(String name, int experience, Team team){
		this.name = name;
		this.experience = experience;
		this.team = team;
	}
	
	public int getExperience() {
		return experience;
	}

	public String getName() {
		return name;
	}

	public Team getTeam() {
		return team;
	}

	public void setExperience(int i) {
		experience = i;
	}

	public void setName(String string) {
		name = string;
	}

	public void setTeam(Team team) {
		this.team = team;
	}

	public String toString(){
		return "Coach[" + name + ", " + experience + ", " + team.getTown() +" ]";
	}
}
