/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.pobjects.detach;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

/**
 * @author Y.Bersihand
 */
public class Share {

	int id;
	Collection prices;
	
	public Share(int id) {
		this.id = id;
		prices = new ArrayList();
	}
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public Collection getPrices() {
		return prices;
	}
	public void setPrices(Collection prices) {
		this.prices = prices;
	}
	
	public void addPrice(SharePrice sp){
		prices.add(sp);
		sp.setShare(this);
	}
	
	public SharePrice getPrice(int aType, int aYear, int aMonth) {
		Iterator itr = prices.iterator();
	    while (itr.hasNext()) {
	    	SharePrice price = (SharePrice) itr.next();
	    	if ((price.getType() == aType) && (price.getYear() == aYear) && (price.getMonth() == aMonth))
	    		return price;
	    }
	    return null;
	}
}
