/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.pobjects.fetchgroup;

/**
 * @author Y.Bersihand
 */
public abstract class Book {
	
	int isbn;
	Author author;
	int pageNb;
	String type;

	public Book(int isbn, Author author, int pageNb, String type){
		this.isbn = isbn;
		this.author = author;
		this.pageNb = pageNb;
		this.type = type;
	}
	
	/**
	 * @return Returns the author.
	 */
	public Author getAuthor() {
		return author;
	}
	/**
	 * @param author The author to set.
	 */
	public void setAuthor(Author author) {
		this.author = author;
	}
	/**
	 * @return Returns the isbn.
	 */
	public int getIsbn() {
		return isbn;
	}
	/**
	 * @param isbn The isbn to set.
	 */
	public void setIsbn(int isbn) {
		this.isbn = isbn;
	}
	/**
	 * @return Returns the pageNb.
	 */
	public int getPageNb() {
		return pageNb;
	}
	/**
	 * @param pageNb The pageNb to set.
	 */
	public void setPageNb(int pageNb) {
		this.pageNb = pageNb;
	}
	
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String toString(){
		return "[#=" + isbn + ", nb=" + pageNb + ", author=" + (author == null ? "no author":author.toString())
		+ ", type=" + type + "]";  
	}
}
