/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.pobjects.inheritance.filtered;

/**
 *
 * @author S.Chassande-Barrioz
 */
public abstract class Animal {

	protected String name = "";
	protected String species = "";
	protected int size = 0;
	protected boolean isMale = true;
	protected long f1 = 0;

	public Animal() {
	}

	public Animal(String name, String species, int size, boolean male, long f1) {
		this.name = name;
		this.species = species;
		this.size = size;
		isMale = male;
		this.f1 = f1;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String retrieveSpecies() {
		return species;
	}

	public void assignSpecies(String species) {
		this.species = species;
	}

	public int retrieveSize() {
		return size;
	}

	public void assignSize(int size) {
		this.size = size;
	}

	public boolean retrieveIsMale() {
		return isMale;
	}

	public void assignMale(boolean male) {
		isMale = male;
	}

	public long retrieveF1() {
		return f1;
	}

	public void assignF1(long f1) {
		this.f1 = f1;
	}
}
