/*
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 * 
 * Created on 15 mars 2004
 * @author fmillevi@yahoo.com
 *
 */
package org.objectweb.speedo.j2eedo.common;

import java.util.Vector;

public class TraceTime {
	public Vector trace;
	private boolean running;

	/**
	 * Empty constructor
	 */
	public TraceTime() {
		this.trace = new Vector();
		this.running = false;
	}

	public void startTask(String task) {
		if (this.running) {
			this.endTask();
		}
		TraceTimeElement tt = new TraceTimeElement(task);
		this.trace.add(tt);
		running = true;
	}

	public void endTask() {
		try {
			TraceTimeElement tt = (TraceTimeElement) this.trace.lastElement();
			tt.endTask();
		} catch (Exception e) {

		}
		this.running = false;
	}

	public void reset() {
		if (this.running) {
			this.endTask();
		}
		this.trace = null;
		this.trace = new Vector();
		this.running = false;
	}

	public String reportXMLComment() {
		return "<!-- TraceTime Report:\n\t" + report() + "\n-->";
		
	}
	public String report() {
		StringBuffer sb= new StringBuffer();
		try {
			if (this.trace.size() > 0) {
				if (this.running) {
					this.endTask();
				}

				TraceTimeElement tt = null;
				for (int i = 0; i < this.trace.size(); i++) {
					tt = (TraceTimeElement) this.trace.get(i);
					sb.append(tt.task);
					sb.append(":");
					sb.append(tt.duration());
					sb.append(" ms\t");
					tt = null;
				}
				long duration =
					((TraceTimeElement) this.trace.lastElement())
						.endTime
						.getTime()
						- ((TraceTimeElement) this.trace.firstElement())
							.beginTime
							.getTime();
				sb.append("Total:");
				sb.append(duration);
				sb.append(" ms\t");
			} else {
				sb.append("Nothing\t");
			}
		} catch (Exception e) {
		}

		return sb.toString();
	}

	public static void main(String[] args) {
		TraceTime tt = new TraceTime();
		tt.startTask("sample");
		try {
			Thread.sleep(1000);

		} catch (Exception e) {
			System.err.println("Exception:" + e);
		}
		tt.endTask();
		tt.startTask("other sample");
		try {
			Thread.sleep(300);

		} catch (Exception e) {
			System.err.println("Exception:" + e);
		}
		System.out.println(tt.report());
	}
}
