/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.tutorial.pobjects.additional.queries;

import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

/**
 * @author Y.Bersihand
 */
public class Person {

	private String name;
	private Set children;
	private int age;
	private ContactDetails contactDetails;

	public Person(String name, int age, ContactDetails contactDetails) {
		this.name = name;
		this.age = age;
		this.children = new HashSet();
		this.contactDetails = contactDetails;
	}
	
	public Person(String name, String type, int age, ContactDetails contactDetails) {
		this.name = name;
		this.age = age;
		this.children = new HashSet();
		this.contactDetails = contactDetails;
	}

	public Person(String name, Set children, String type, int age, ContactDetails contactDetails){
		this.name = name;
		this.age = age;
		this.children = children;
		this.contactDetails = contactDetails;
	}
	
	public Set getChildren() {
		return children;
	}
	public void setChildren(Set children) {
		this.children = children;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	public void addChild(Person p){
		if(children == null){
			children = new HashSet();
		}
		children.add(p);
	}
	
	public int getAge() {
		return age;
	}
	public void setAge(int age) {
		this.age = age;
	}
		
	public ContactDetails getContactDetails() {
		return contactDetails;
	}
	public void setContactDetails(ContactDetails contactDetails) {
		this.contactDetails = contactDetails;
	}
	
	public String toString(){
		String s = name + ", age=" + age + ", children=[";
		Iterator it = children.iterator();
		while(it.hasNext()){
			Person p = (Person) it.next();
			s += p.getName() + ", ";
		}
		if(!children.isEmpty())
			s = s.substring(0, s.length()-2);
		s += "]";
		s += ", contact details=[" + contactDetails.toString() + "]";
		return s;
	}
}
