/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.tutorial.pobjects.mapping;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

/**
 * @author Y.Bersihand
 */
public class Project {

	private String title;
	private Collection employees;
	
	public Project(String title) {
		this.title = title;
		employees = new ArrayList();
	}

	public Collection getEmployees() {
		return employees;
	}
	public void setEmployees(Collection employees) {
		this.employees = employees;
	}
	public void addEmployee(Employee employee){
		employees.add(employee);
	}
	
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	
	public String toString(){
		String s = "Title: " + title + ", Employees:[";
		Iterator it = employees.iterator();
		while(it.hasNext()){
			Employee e = (Employee) it.next();
			s += e.getName() + ", ";
		}
		s = s.substring(0, s.length()-2);
		s += "]";
		return s;
	}
}
